/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package helper;

import entities.Subject;

/**
 *
 * @author Szilárd
 */
public class ExtendedSubject {
    Subject subject;
    boolean signature, mark, picked;

    public ExtendedSubject(Subject subject, boolean signature, boolean mark, boolean picked){
        this.subject = subject;
        this.signature = signature;
        this.mark = mark;
        this.picked = picked;
    }
    public boolean isMark() {
        return mark;
    }

    public void setMark(boolean mark) {
        this.mark = mark;
    }

    public boolean isPicked() {
        return picked;
    }

    public void setPicked(boolean picked) {
        this.picked = picked;
    }

    public boolean isSignature() {
        return signature;
    }

    public void setSignature(boolean signature) {
        this.signature = signature;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }


}
